Loading...
Searching...
No Matches
SchemaReverse Namespace Reference

this namespace contains all public definitions in the SchemaReverse module More...

## Classes

class | AbstractReverseObject
| A basic class for all SchemaReverse DB object related classes. More...
class | CodeBaseReverse
| A basic class for all DB object classes which use SQL code as base of its content. More...
class | CodesBaseReverse
| A basic class for all DB object classes which use SQL code as base of its content. More...
class | FunctionReverse
| Structure dump of a function. More...
class | FunctionsReverse
| Structure dump of functions. More...
class | MViewReverse
| Structure dump of a materialized view or snapshot. More...
class | MViewsReverse
| Structure dump of materialized views or snapshots. More...
class | PackageReverse
| Structure dump of a package. More...
class | PackagesReverse
| Structure dump of packages. More...
class | ProcedureReverse
| Structure dump of a procedure. More...
class | ProceduresReverse
| Structure dump of procedures. More...
class | SchemaReverse
| Structure dump of all objects in given schema/connection. More...
class | SequenceReverse
| Structure dump of a sequence. More...
class | SequencesReverse
| Structure dump of sequences. More...
class | TableReverse
| Structure dump of a table. More...
class | TablesReverse
| Structure dump of tables. More...
class | TypeReverse
| Structure dump of a 'type' or 'named type'. More...
class | TypesReverse
| Structure dump of 'types' or 'named types'. More...
class | ViewReverse
| Structure dump of a view. More...
class | ViewsReverse
| Structure dump of views. More...

## Functions

AbstractReverseObject | get_object (string object_type)
| An universal wrapper to get any of SchemaReverse::AbstractReverseObject instance. More...

## Variables

const | MULTI_TO_CLASS = ...
| A map translating multi DB objects name into its class.
const | TEMPLATE = ...
| A template string for full schema used in SchemaReverse::SchemaReverse class.
const | TYPE_TO_CLASS = ...
| A map translating simple DB object name into its class.

## Detailed Description

this namespace contains all public definitions in the SchemaReverse module

## Function Documentation

## get_object()

AbstractReverseObject SchemaReverse::get_object | ( | string | object_type | ) |

An universal wrapper to get any of SchemaReverse::AbstractReverseObject instance.

Parameters

  object_type | a string with object type. See keys in SchemaReverse::TYPE_TO_CLASS and SchemaReverse::MULTI_TO_MULTI

Parameters `ds` and `name` are passed as `argv` into class constructor. See appropriate class for constructor reference.